Player = Tile:extend {
   image = 'data/player.png',
   queue = deque.new(),
   onNew = function(self)
              for _ = 1, math.random(1,3) do
                 self.queue:push_right(dirs[math.random(1,4)])
              end
           end,
   onUpdate = function(self)
                 local keys = {the.keys:allJustPressed()}
                 if keys[1] then
                    local dirKey = false
                    for _, dir in ipairs(dirs) do
                       if dir == keys[1] then
                          dirKey = true
                       end
                    end

                    if dirKey then
                       --print('key: ' .. keys[1])
                       self.queue:push_right(keys[1])

                       self.direction = self.queue:pop_left()
                       if self.direction == 'left' then
                          self.x = self.x - self.width
                       elseif self.direction == 'right' then
                          self.x = self.x + self.width
                       elseif self.direction == 'up' then
                          self.y = self.y - self.height
                       elseif self.direction == 'down' then
                          self.y = self.y + self.height
                       end

                       self.moved = true
                    end
                 end
              end,
   onCollide = function(self, other)
                  if other ~= the.view.map and other ~= the.goalPerson then
                     --print('collision')

                     other:displaceDir(self,
                                       util.dirToXY(self.direction),
                                       - util.dirToPosNeg(self.direction))
                  end
               end
}